Frontend:
  impl: PIMLoadStoreTrace
  path: ./trace_gen/attacc_buffer.trace
  clock_ratio: 1

  Translation:
    impl: NoTranslation
    max_addr: 2147483648
              

MemorySystem:
  impl: PIMDRAM
  clock_ratio: 1
  DRAM:
    impl: HBM3-PIM
    org:
      preset: HBM3_8Gb_2R
      channel: 16
    timing:
      preset: HBM3_5.2Gbps
      #preset: HBM3_5.2Gbps_NPC

  Controller:
    impl: HBM3-PIM
    Scheduler:
      impl: PIM
    RefreshManager:
      impl: AllBankHBM3
      #impl: No
    plugins:
    - ControllerPlugin:
        impl: HBM3TraceRecorder
        path: ./log/attacc_buffer/cmd.log

  AddrMapper:
    impl: HBM3-PIM
